%define snapshot 0
%define bootstrap 0

%ifarch %{arm} aarch64
%define build_docs 0
%else
%if %bootstrap
%define build_docs 0
%else
%define build_docs 0
%endif
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 6

%define rel 1

%define pre rc
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqt5quicktest %mklibname qt5quicktest %qtmajor
%define libqt5quicktest_d %mklibname qt%{qtmajor}quicktest -d

%define libqt5quick %mklibname qt5quick %qtmajor
%define libqt5quick_d %mklibname qt%{qtmajor}quick -d

%define libqt5quickshapes %mklibname qt5quickshapes %qtmajor
%define libqt5quickshapes_d %mklibname qt%{qtmajor}quickshapes -d

%define libqt5quickwidgets %mklibname qt5quickwidgets %qtmajor
%define libqt5quickwidgets_d %mklibname qt%{qtmajor}quickwidgets -d

%define libqt5quickparticles %mklibname qt5quickparticles %qtmajor
%define libqt5quickparticles_d %mklibname qt%{qtmajor}quickparticles -d

%define libqt5qml %mklibname qt5qml %qtmajor
%define libqt5qml_d %mklibname qt%{qtmajor}qml -d

%define libqt5qmlmodels %mklibname qt5qmlmodels %qtmajor
%define libqt5qmlmodels_d %mklibname qt%{qtmajor}qmlmodels -d

%define libqt5qmlworkerscript %mklibname qt5qmlworkerscript %qtmajor
%define libqt5qmlworkerscript_d %mklibname qt%{qtmajor}qmlworkerscript -d


%define libqt5packetprotocol_d %mklibname qt5packetprotocol -d -s

%if %snapshot
%define qttarballdir qtdeclarative-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtdeclarative-everywhere-opensource-src-%{qtversion}
%endif

Name: qtdeclarative5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt Declarative component
Group: Development/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     https://www.qt.io/
Source0: https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
# Upstream patches
Patch0001:	0001-Document-that-StyledText-also-supports-nbsp-and-quot.patch
Patch0002:      0002-Support-apos-in-styled-text.patch
Patch0003:      0003-Remove-unused-QPointer-QQuickPointerMask.patch
Patch0004:      0004-Include-limits-in-Yarr.h-to-fix-build-with-GCC-11.patch
Patch0005:      0005-QQuickLoader-Do-not-incubate-if-the-source-arrives-a.patch
Patch0006:      0006-QQmlDelegateModel-Refresh-the-view-when-a-column-is-.patch
Patch0007:      0007-Fix-sweep-step-for-tainted-QObject-JavaScript-wrappe.patch
Patch0008:      0008-Fix-distorted-text-with-subpixel-matrix-translation.patch
Patch0009:      0009-Revert-Fix-for-possible-crash-in-QSGDefaultLayer-gra.patch
Patch0010:      0010-Fix-TapHandler-so-that-it-actually-registers-a-tap.patch
Patch0011:      0011-Revert-Fix-TapHandler-so-that-it-actually-registers-.patch
Patch0012:      0012-QQmlJs-FixedPoolArray-fix-UB-precondition-violation-.patch
Patch0013:      0013-V4-Do-not-call-dtor-of-an-object-we-continue-to-use.patch
Patch0014:      0014-Make-sure-QQuickWidget-and-its-offscreen-window-s-sc.patch
Patch0015:      0015-QQuickItem-Guard-against-cycles-in-nextPrevItemInTab.patch
Patch0016:      0016-QSGOpenGLDistanceFieldGlyphCache-fix-multiplication-.patch
Patch0017:      0017-QSGOpenGLDistanceFieldGlyphCache-fix-UB-ordering-of-.patch
Patch0018:      0018-Fix-Flickable-wheel-velocity-calculation.patch
Patch0019:      0019-Fix-Flickable-with-QTBUG-56075-patch-applied.patch

# upstreamable patches
Patch100: qt5-qtdeclarative-gcc11.patch

BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Core) = %{version}
BuildRequires: pkgconfig(Qt5Network) = %{version}
BuildRequires: pkgconfig(Qt5Gui) = %{version}
BuildRequires: pkgconfig(Qt5Widgets) = %{version}
BuildRequires: pkgconfig(Qt5Sql) = %{version}

Provides:      qt5-qtdeclarative

%description
Qt5 Declarative component.

%files
%_qt5_bindir/qml
%_qt5_bindir/qmlcachegen
%_qt5_bindir/qmlformat
%_qt5_bindir/qmlimportscanner
%_qt5_bindir/qmlmin
%_qt5_bindir/qmlplugindump
%_qt5_bindir/qmlpreview
%_qt5_bindir/qmlprofiler
%_qt5_bindir/qmlscene
%_qt5_bindir/qmltestrunner
%_qt5_bindir/qmltime
%_qt5_bindir/qmltyperegistrar
%_qt5_bindir/qmleasing
%_qt5_bindir/qmllint
%_qt5_archdatadir/qml/QtTest
%_qt5_archdatadir/qml/QtQuick*
%dir %_qt5_archdatadir/plugins/qmltooling
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_tcp.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_debugger.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_inspector.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_local.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_native.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_preview.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_profiler.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_server.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_messages.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_nativedebugger.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_quickprofiler.so
%_qt5_archdatadir/qml/Qt/labs/animation
%_qt5_archdatadir/qml/Qt/labs/folderlistmodel
%_qt5_archdatadir/qml/Qt/labs/qmlmodels
%_qt5_archdatadir/qml/Qt/labs/settings
%_qt5_archdatadir/qml/QtQml
%_qt5_archdatadir/qml/builtins.qmltypes
%_qt5_archdatadir/qml/Qt/labs/sharedimage
%_qt5_archdatadir/qml/Qt/labs/wavefrontmesh
%_qt5_archdatadir/qml/Qt/test/

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtDeclarative%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant

%description doc
Documentation for APIs and tools in QtDeclarative5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtqml.qch
%{_qt5_docdir}/qtqml/
%{_qt5_docdir}/qtquick.qch
%{_qt5_docdir}/qtquick/
%{_qt5_docdir}/qtqmltest.qch
%{_qt5_docdir}/qtqmltest/
%{_qt5_docdir}/qtqmlmodels.qch
%{_qt5_docdir}/qtqmlmodels/
%{_qt5_docdir}/qtqmlworkerscript.qch
%{_qt5_docdir}/qtqmlworkerscript/
%endif

#------------------------------------------------------------------------------

%package -n %{libqt5quicktest}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5quicktest}
Qt%{qtmajor} Lib.

%files -n %{libqt5quicktest}
%{_qt5_libdir}/libQt5QuickTest.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5quicktest_d}
Summary: Devel files needed to build apps based on QtDeclarative
Group:    Development/Libraries
Requires: %{libqt5quicktest} = %version-%{release}
Requires: %{name} = %version
Provides: libqt5quicktest-devel = %version-%{release}
Provides: libqtquicktest5-devel = %version-%{release}
Provides: qt5quicktest-devel = %version-%{release}
Provides: qtquicktest5-devel = %version-%{release}

Provides: libqt5quicktest-private-devel = %version-%{release}
Provides: libqtquicktest5-private-devel = %version-%{release}
Provides: qt5quicktest-private-devel = %version-%{release}
Provides: qtquicktest5-private-devel = %version-%{release}

%description -n %{libqt5quicktest_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5quicktest_d}
%_qt5_libdir/libQt5QuickTest.prl
%_qt5_libdir/libQt5QuickTest.so
%_qt5_libdir/cmake/Qt5QuickTest
%_qt5_libdir/metatypes/qt5quicktest_metatypes.json
%_qt5_includedir/QtQuickTest/
%_qt5_libdir/pkgconfig/Qt5QuickTest.pc
%_qt5_examplesdir/qmltest

#------------------------------------------------------------------------------

%package -n %{libqt5quick}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5quick}
Qt%{qtmajor} Lib.

%files -n %{libqt5quick}
%{_qt5_libdir}/libQt5Quick.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5quick_d}
Summary: Devel files needed to build apps based on QtDeclarative
Group:    Development/Libraries
Requires: %{name} = %version-%{release}
Requires: %{libqt5quick} = %version-%{release}
Provides: libqt5quick-devel = %version-%{release}
Provides: libqtquick5-devel = %version-%{release}
Provides: qt5quick-devel = %version-%{release}
Provides: qtquick5-devel = %version-%{release}
Requires: qtgui5-devel = %version-%{release}

Provides: libqt5quick-private-devel = %version-%{release}
Provides: libqtquick5-private-devel = %version-%{release}
Provides: qt5quick-private-devel = %version-%{release}
Provides: qtquick5-private-devel = %version-%{release}

%description -n %{libqt5quick_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5quick_d}
%_qt5_libdir/libQt5Quick.prl
%_qt5_libdir/libQt5Quick.so
%_qt5_libdir/cmake/Qt5Quick
%_qt5_libdir/metatypes/qt5quick_metatypes.json
%_qt5_includedir/QtQuick/
%_qt5_examplesdir/quick
%_qt5_libdir/pkgconfig/Qt5Quick.pc
%_qt5_archdatadir/mkspecs/modules/qt_lib_quick.pri
%_qt5_archdatadir/mkspecs/modules/qt_lib_quick_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5quickwidgets}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5quickwidgets}
Qt%{qtmajor} Lib.

%files -n %{libqt5quickwidgets}
%{_qt5_libdir}/libQt5QuickWidgets.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5quickwidgets_d}
Summary: Devel files needed to build apps based on QtDeclarative
Group:    Development/Libraries
Requires: %{name} = %version-%{release}
Requires: %{libqt5quickwidgets} = %version-%{release}
Provides: libqt5quickwidgets-devel = %version-%{release}
Provides: libqtquickwidgets5-devel = %version-%{release}
Provides: qt5quickwidgets-devel = %version-%{release}
Provides: qtquickwidgets5-devel = %version-%{release}

Provides: libqt5quickwidgets-private-devel = %version-%{release}
Provides: libqtquickwidgets5-private-devel = %version-%{release}
Provides: qt5quickwidgets-private-devel = %version-%{release}
Provides: qtquickwidgets5-private-devel = %version-%{release}

%description -n %{libqt5quickwidgets_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5quickwidgets_d}
%_qt5_libdir/libQt5QuickWidgets.prl
%_qt5_libdir/libQt5QuickWidgets.so
%_qt5_libdir/cmake/Qt5QuickWidgets
%_qt5_includedir/QtQuickWidgets/
%_qt5_libdir/pkgconfig/Qt5QuickWidgets.pc
%_qt5_archdatadir/mkspecs/modules/qt_lib_quickwidgets.pri
%_qt5_archdatadir/mkspecs/modules/qt_lib_quickwidgets_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5quickshapes}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5quickshapes}
Qt%{qtmajor} Lib.

%files -n %{libqt5quickshapes}
%{_qt5_libdir}/libQt5QuickShapes.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5quickshapes_d}
Summary: Devel files needed to build apps based on QtDeclarative
Group:    Development/Libraries
Requires: %{name} = %version-%{release}
Requires: %{libqt5quickshapes} = %version-%{release}
Provides: libqt5quickshapes-devel = %version-%{release}
Provides: libqtquickshapes5-devel = %version-%{release}
Provides: qt5quickshapes-devel = %version-%{release}
Provides: qtquickshapes5-devel = %version-%{release}

Provides: libqt5quickshapes-private-devel = %version-%{release}
Provides: libqtquickshapes5-private-devel = %version-%{release}
Provides: qt5quickshapes-private-devel = %version-%{release}
Provides: qtquickshapes5-private-devel = %version-%{release}

%description -n %{libqt5quickshapes_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5quickshapes_d}
%_qt5_libdir/libQt5QuickShapes.prl
%_qt5_libdir/libQt5QuickShapes.so
%_qt5_libdir/cmake/Qt5QuickShapes/
%_qt5_libdir/metatypes/qt5quickshapes_metatypes.json
%_qt5_includedir/QtQuickShapes/
%_qt5_archdatadir/mkspecs/modules/qt_lib_quickshapes_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5packetprotocol_d}
Summary: Devel files needed to build apps based on QtDeclarative
Group:    Development/Libraries
Requires: %{name} = %version-%{release}
Provides: libqt5packetprotocol-static-devel = %version-%{release}
Provides: libqtpacketprotocol5-static-devel = %version-%{release}
Provides: qt5packetprotocol-static-devel = %version-%{release}
Provides: qtpacketprotocol5-static-devel = %version-%{release}

%description -n %{libqt5packetprotocol_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5packetprotocol_d}
%_qt5_libdir/libQt5PacketProtocol.prl
%_qt5_libdir/libQt5PacketProtocol.a
%_qt5_libdir/cmake/Qt5PacketProtocol/
%_qt5_includedir/QtPacketProtocol/
%_qt5_archdatadir/mkspecs/modules/qt_lib_packetprotocol_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5quickparticles}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5quickparticles}
Qt%{qtmajor} Lib.

%files -n %{libqt5quickparticles}
%{_qt5_libdir}/libQt5QuickParticles.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5quickparticles_d}
Summary: Devel files needed to build apps based on QtDeclarative
Group:    Development/Libraries
Requires: %{name} = %version-%{release}
Requires: %{libqt5quickparticles} = %version-%{release}
Provides: libqt5quickparticles-devel = %version-%{release}
Provides: libqtquickparticles5-devel = %version-%{release}
Provides: qt5quickparticles-devel = %version-%{release}
Provides: qtquickparticles5-devel = %version-%{release}

Provides: libqt5quickparticles-private-devel = %version-%{release}
Provides: libqtquickparticles5-private-devel = %version-%{release}
Provides: qt5quickparticles-private-devel = %version-%{release}
Provides: qtquickparticles5-private-devel = %version-%{release}

%description -n %{libqt5quickparticles_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5quickparticles_d}
%_qt5_libdir/libQt5QuickParticles.prl
%_qt5_libdir/libQt5QuickParticles.so
%_qt5_libdir/cmake/Qt5QuickParticles/
%_qt5_libdir/metatypes/qt5quickparticles_metatypes.json
%_qt5_includedir/QtQuickParticles/
%_qt5_archdatadir/mkspecs/modules/qt_lib_quickparticles_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5qml}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5qml}
Qt%{qtmajor} Lib.

%files -n %{libqt5qml}
%{_qt5_libdir}/libQt5Qml.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5qml_d}
Summary: Devel files needed to build apps based on QtDeclarative
Group:    Development/Libraries
Requires: %{name} = %version-%{release}
Requires: %{libqt5qml} = %version-%{release}
Provides: libqt5qml-devel = %version-%{release}
Provides: libqtqml5-devel = %version-%{release}
Provides: qt5qml-devel = %version-%{release}
Provides: qtqml5-devel = %version-%{release}

Provides: libqt5qml-private-devel = %version-%{release}
Provides: libqtqml5-private-devel = %version-%{release}
Provides: qt5qml-private-devel = %version-%{release}
Provides: qtqml5-private-devel = %version-%{release}

Requires: qtnetwork5-devel = %version
Requires: qtcore5-devel = %version

%description -n %{libqt5qml_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5qml_d}
%_qt5_libdir/libQt5Qml.prl
%_qt5_libdir/libQt5Qml.so
%_qt5_libdir/cmake/Qt5Qml
%_qt5_libdir/metatypes/qt5qml_metatypes.json
%_qt5_archdatadir/mkspecs/modules/qt_lib_qmltest.pri
%_qt5_archdatadir/mkspecs/modules/qt_lib_qml.pri
%_qt5_examplesdir/qml
%_qt5_libdir/pkgconfig/Qt5Qml.pc
%_qt5_libdir/libQt5QmlDevTools.a
%_qt5_libdir/cmake/Qt5QmlDevTools/
%_qt5_includedir/QtQml/
%_qt5_includedir/QtQmlDebug/
%_qt5_libdir/libQt5QmlDevTools.prl
%_qt5_archdatadir/mkspecs/modules/qt_lib_qml_private.pri
%_qt5_archdatadir/mkspecs/modules/qt_lib_qmldevtools_private.pri
%_qt5_archdatadir/mkspecs/modules/qt_lib_qmltest_private.pri
%_qt5_archdatadir/mkspecs/modules/qt_lib_qmldebug_private.pri
%_qt5_archdatadir/mkspecs/features/qmlcache.prf
%_qt5_archdatadir/mkspecs/features/qmltypes.prf
%_qt5_libdir/libQt5QmlDebug.a
%_qt5_libdir/libQt5QmlDebug.prl
%_qt5_libdir/cmake/Qt5QmlDebug/
%_qt5_libdir/cmake/Qt5QuickCompiler/Qt5QuickCompilerConfig.cmake
%_qt5_archdatadir/mkspecs/features/qtquickcompiler.prf
# FIXME in good package???
%_qt5_libdir/cmake/Qt5QmlImportScanner/

#------------------------------------------------------------------------------

%package -n %{libqt5qmlmodels}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5qmlmodels}
Qt%{qtmajor} Lib.

%files -n %{libqt5qmlmodels}
%{_qt5_libdir}/libQt5QmlModels.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5qmlmodels_d}
Summary: Devel files needed to build apps based on QtDeclarative
Group:    Development/Libraries
Requires: %{name} = %version-%{release}
Requires: %{libqt5qmlmodels} = %version-%{release}
Provides: libqt5qmlmodels-devel = %version-%{release}
Provides: libqtqmlmodels5-devel = %version-%{release}
Provides: qt5qmlmodels-devel = %version-%{release}
Provides: qtqmlmodels5-devel = %version-%{release}

Provides: libqt5qmlmodels-private-devel = %version-%{release}
Provides: libqtqmlmodels5-private-devel = %version-%{release}
Provides: qt5qmlmodels-private-devel = %version-%{release}
Provides: qtqmlmodels-private-devel = %version-%{release}

%description -n %{libqt5qmlmodels_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5qmlmodels_d}
%_qt5_libdir/libQt5QmlModels.prl
%_qt5_libdir/libQt5QmlModels.so
%_qt5_libdir/pkgconfig/Qt5QmlModels.pc
%_qt5_libdir/cmake/Qt5QmlModels/
%_qt5_libdir/metatypes/qt5qmlmodels_metatypes.json
%_qt5_includedir/QtQmlModels/
%_qt5_archdatadir/mkspecs/modules/qt_lib_qmlmodels.pri
%_qt5_archdatadir/mkspecs/modules/qt_lib_qmlmodels_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5qmlworkerscript}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5qmlworkerscript}
Qt%{qtmajor} Lib.

%files -n %{libqt5qmlworkerscript}
%{_qt5_libdir}/libQt5QmlWorkerScript.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5qmlworkerscript_d}
Summary: Devel files needed to build apps based on QtDeclarative
Group:    Development/Libraries
Requires: %{name} = %version-%{release}
Requires: %{libqt5qmlworkerscript} = %version-%{release}
Provides: libqt5qmlworkerscript-devel = %version-%{release}
Provides: libqtqmlworkerscript5-devel = %version-%{release}
Provides: qt5qmlworkerscript-devel = %version-%{release}
Provides: qtqmlworkerscript5-devel = %version-%{release}

Provides: libqt5qmlworkerscript-private-devel = %version-%{release}
Provides: libqtqmlworkerscript5-private-devel = %version-%{release}
Provides: qt5qmlworkerscript-private-devel = %version-%{release}
Provides: qtqmlworkerscript5-private-devel = %version-%{release}

%description -n %{libqt5qmlworkerscript_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5qmlworkerscript_d}
%_qt5_libdir/libQt5QmlWorkerScript.prl
%_qt5_libdir/libQt5QmlWorkerScript.so
%_qt5_libdir/pkgconfig/Qt5QmlWorkerScript.pc
%_qt5_libdir/cmake/Qt5QmlWorkerScript/
%_qt5_libdir/metatypes/qt5qmlworkerscript_metatypes.json
%_qt5_includedir/QtQmlWorkerScript/
%_qt5_archdatadir/mkspecs/modules/qt_lib_qmlworkerscript.pri
%_qt5_archdatadir/mkspecs/modules/qt_lib_qmlworkerscript_private.pri

#------------------------------------------------------------------------------

%prep
%setup -qn qtdeclarative-everywhere-src-%{qtversion}
%apply_patches

%build
%{qmake_qt5}

RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"
make -j $RPM_BUILD_NCPUS

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
#find %%{buildroot} -name '*.a' -delete


%changelog
* Sun Sep 18 2022 tex - 5.15.6-1pclos2022
- new version
